Subject: [SWIPL] Fetching files over HTTP

From: Bijan Parsia <[email-masked]>
Date: Fri, 1 Mar 2002 15:11:32 -0500 (EST)

Hello,

I feel as if I must have asked this before :)

What's the most straightforward way of fetching files over HTTP (well, in
particular; other protocols like FTP would be welcome, too) in
SWI-Prolog? I notice a fair bit of HTTP server code, but I'm having a bit
of trouble finding client code.

Assuming that there isn't anything bundled, any recommendations for
libraries for this? I vaugely recall trying out Pillow (or some such) but
it had real problems (as I recall) with modern domain names (virtual hosts
in particular, I think).

Cheers,
Bijan Parsia.